# vim: set sw=4 ts=4 et:

Name:           kmediafactory
Version:        0.8.1
Release:        1.pm.1.14
Summary:        An easy to use template based dvd authoring tool
License:        GNU General Public License (GPL)
URL:            http://aryhma.oy.cx/damu/software/kmediafactory
Group:          Productivity/Multimedia/Video/Editors and Convertors
Source:         http://kmediafactory.googlecode.com/files/kmediafactory-%{version}.tar.bz2

%kde4_runtime_requires

Requires:       dvdauthor ffmpeg zip
Requires:       %{_bindir}/mpeg2enc

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  libdvdread-devel libffmpeg-devel libkde4-devel libkexiv2-devel libxine-devel
BuildRequires:  dvdauthor dvd-slideshow mjpegtools MPlayer update-desktop-files zip

%description
KMediafactory is easy to use template based dvd authoring tool.
You can quickly create DVD menus for home videos and TV recordings in three simple steps.

%package devel
Summary:        An easy to use template based dvd authoring tool
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}-%{release}

%description devel
KMediafactory is easy to use template based dvd authoring tool.
You can quickly create DVD menus for home videos and TV recordings in three simple steps.

%prep
%setup -q


%build
LIBSUFFIX=$(echo "%{_lib}" | %__sed 's|^lib||')
cmake \
    -DCMAKE_INSTALL_PREFIX=%{_prefix} \
    -DCMAKE_VERBOSE_MAKEFILE=TRUE \
    -DCMAKE_SKIP_RPATH=TRUE \
    -DCMAKE_BUILD_WITH_INSTALL_RPATH=FALSE \
    -DCMAKE_C_FLAGS_RELEASE:STRING="%{optflags}" \
    -DCMAKE_CXX_FLAGS_RELEASE:STRING="%{optflags}" \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_STRIP="/usr/bin/touch" \
    -DLIB_SUFFIX="$LIBSUFFIX" \
    .

%__make %{?_smp_flags}

%install
%makeinstall

%find_lang %{name} --all-name

%__install -D -m 644 icons/hi64-apps-kmediafactory.png %{buildroot}/%{_datadir}/pixmaps/%{name}.png
%suse_update_desktop_file %{name} AudioVideo DiscBurning

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/kmediafactory
%{_libdir}/kde4/kmediafactory_output.so
%{_libdir}/kde4/kmediafactory_plugin_kross.so
%{_libdir}/kde4/kmediafactory_slideshow.so
%{_libdir}/kde4/kmediafactory_template.so
%{_libdir}/kde4/kmediafactory_video.so
%{_libdir}/kde4/plugins/designer/kmfwidgets.so
%{_libdir}/libkmediafactoryinterfaces.so.0
%{_libdir}/libkmediafactoryinterfaces.so.0.8.1
%{_libdir}/libkmediafactorykstore.so.0
%{_libdir}/libkmediafactorykstore.so.0.8.1
%{_libdir}/libkmf.so.0
%{_libdir}/libkmf.so.0.8.1
%{_datadir}/applications/kde4/kmediafactory.desktop
%{_datadir}/icons/*/*/apps/*.png
%{_datadir}/icons/*/*/mimetypes/*.png
%{_datadir}/icons/*/*/apps/*.svgz
%{_datadir}/icons/*/*/mimetypes/*.svgz
%dir %{_datadir}/kde4/apps/kmediafactory
%dir %{_datadir}/kde4/apps/kmediafactory/images
%{_datadir}/kde4/apps/kmediafactory/images/default-bg.svgz
%{_datadir}/kde4/apps/kmediafactory/*.rc
%dir %{_datadir}/kde4/apps/kmediafactory/media
%{_datadir}/kde4/apps/kmediafactory/media/silence.mp2
%dir %{_datadir}/kde4/apps/kmediafactory/scripts
%{_datadir}/kde4/apps/kmediafactory/scripts/*
%dir %{_datadir}/kde4/apps/kmediafactory_template
%{_datadir}/kde4/apps/kmediafactory_template/*.kmft
%dir %{_datadir}/kde4/apps/kmfwidgets
%dir %{_datadir}/kde4/apps/kmfwidgets/pics
%{_datadir}/kde4/apps/kmfwidgets/pics/*.png
%{_datadir}/kde4/servicetypes/kmediafactoryplugin.desktop
%{_datadir}/kde4/config.kcfg/*.kcfg
%{_datadir}/kde4/config/*.knsrc
%{_datadir}/kde4/services/*.desktop
%{_datadir}/mime/packages/kmediafactory.xml
%{_datadir}/pixmaps/kmediafactory.png

%files devel
%defattr(-,root,root)
%{_libdir}/libkmf.so
%{_libdir}/libkmediafactorykstore.so
%{_libdir}/libkmediafactoryinterfaces.so
%dir %{_includedir}/kmediafactory
%{_includedir}/kmediafactory/*.h

%changelog
* Sat Aug 20 2011 dele@links2linux.de
- new upstream version <0.8.1>
* Sun Apr 10 2011 reddwarf@opensuse.org
- add mpeg2enc requirement
* Wed Oct  6 2010 dele@links2linux.de
- delete MPlayer requirement
* Fri Apr  9 2010 dele@links2linux.de
- new upstream version <0.8.0>
* Sat Feb 27 2010 dele@links2linux.de
- new upstream version <0.7.5>
* Thu Jul 31 2008 guru@unixtech.be
- moved .la files into main package
* Tue Jul 29 2008 guru@unixtech.be
- split out -devel subpackage
- added debuginfo support
- added patch to pass libmagick CPPFLAGS, needed to build on 11.0
- fixed Source URL
* Wed Apr  2 2008 dele@links2linux.de
- new upstream version <0.5.2.4>
* Thu Mar 20 2008 dele@links2linux.de
- add patch for:
  * chapterslayout-icons
  * german-translation
  * transparency
- thx to Michael Kreuzer
* Sun Jun 25 2006 dele@links2linux.de
- new upstream version
* Fri Apr 28 2006 dele@links2linux.de
- first build for packman
